export default class LibraryService {
    constructor(AjaxService) {
        Object.assign(this, { AjaxService })
        this.name = 'LibraryService'
    }

    // 美业资料列表
    GetProductArchive(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/product/archive',
            data,
            isLoading: true,
        })
    }

    // 采美文章列表
    GetArticleList(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/search/query/article',
            data,
            isLoading: true
        })
    }

    // 采美百科列表
    GetEncyclopediaList(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/search/query/baike/keyword',
            data,
            isLoading: true 
        })
    }

    // 获取关键词库关键词列表
    GetSearchKeywordList(data = {}) {
        return this.AjaxService.post({
            url: '/commodity/search/query/get/keyword/list',
            data,
            isLoading: false
        })
    }
}
