/**
 * explain: 这是协销用户业务的服务
 * Author: zhjy
 * Time: 2020-09-24
 */
export default class SellerService {
    constructor(AjaxService) {
        Object.assign(this, { AjaxService })
        this.name = 'SellerService'
    }
    /**
	 *@协销登录
	 *@param mobile 手机号
	 *@param password 密码
	 */
    SellerLogin (data={}){
        return this.AjaxService.post({ 
            url:'/user/login/seller', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销账户中心
	 *@param userID 协销ID
	 */
    GetSellerHome (data = {}) {
        return this.AjaxService.get({ url:'/user/seller/home', data, isLoading: true })
    }
    /**
	 *@协销拉机构上线(资料填写)
	 *@param userID 协销ID
	 */
    SellerClubTemporary (data={}){
        return this.AjaxService.post({ 
            url:'/user/register/club/temporary', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销拉机构上线
	 *@param userID 协销ID
	 */
    SellerClubRegister (data={}){
        return this.AjaxService.post({ 
            url:'/user/register/club/online', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销拉机构上线检测手机号和邮箱
	 *@param mobileOrEmail 手机号和邮箱
	 */
    SellerClubCheck (data={}){
        return this.AjaxService.get({ 
            url:'/user/register/check', 
            data, 
            isLoading: true,
              
        })
    }
    /**
	 *@协销机构列表
	 *@param name 	  机构名字关键字（搜索用）
	 *@param pageNum  页码
	 *@param pageSize 条数
	 *@param spId 	  协销ID
	 *@param status   机构状态
	 */
    GetSellerClubList (data = {}) {
        return this.AjaxService.get({ 
            url:'/user/seller/club/list', 
            data, 
            isLoading: false ,
              
        })
    }
    /**
	 *@不活跃协销机构列表
	 *@param pageNum  页码
	 *@param pageSize 条数
	 *@param serviceProviderId 	  协销ID
	 */
    getUnActiveClubList (data = {}) {
        return this.AjaxService.get({ 
            url:'/user/seller/getUnActiveClubList', 
            data, 
            isLoading: false ,
        })
    }
    /**
     *@协销机构列表
     *@param serviceProviderId 协销ID
     *@param pageNum  页码
     *@param pageSize 条数
     */
    GetOrderCount (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/count', 
            data, 
            isLoading: true ,
        })
    }
    /**
	 *@协销机构列表
	 *@param name 	  机构名字关键字（搜索用）
	 *@param pageNum  页码
	 *@param pageSize 条数
	 */
    GetFindAllClubList (data = {}) {
        return this.AjaxService.get({ 
            url:'/user/seller/club/all', 
            data, 
            isLoading: true ,
        })
    }
    /**
	 *@查询行为记录链接信息
	 *@param clubId 
	 */
    userClubRecordLinkage (data = {}) {
        return this.AjaxService.get({ 
            url:'/user/club/recordLinkage', 
            data, 
            isLoading: false ,
        })
    }
    /**
	 *@协销订单列表（搜索订单）
	 *@param listType 订单类型
	 *@param orderNo  订单号
	 *@param pageNum  页码
	 *@param pageSize 条数
	 *@param serviceProviderId 协销ID
	 */
    GetSellerOrderList (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/list', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销下机构订单列表
	 *@param clubID   机构ID
	 *@param pageNum  页码
	 *@param pageSize 条数
	 */
    GetSellerClubOrderList (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/list/club', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销-关键词搜索订单
	 *@param  userId：商品ID（数字类型，必传）
	 *@param pageNum：机构会所ID(同之前)
	 *@param pageSize：协销ID(同之前)
	 */
    getSellerSearchOrderList (data={}){
        return this.AjaxService.get({ 
            url:'/order/seller/search', 
            data, 
            isLoading: true ,
              
        })
    }
    // 协销订单列表/再来一单
    SellerCreateOrderAgain (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/seller/cart/again', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销-二手下单商品列表
	 *@param 二手商品分类 secondHandType	1二手仪器，2临期产品，3其他  【必传】
	 *@param 二手仪器分类的类型 instrumentType	1轻光电、2重光电、3耗材配件【不传默认全部】
	 *@param 搜索关键词 searchKeyword	【选传】 
	 */
    GetOrderSecondHandProductList (data = {}) {
        return this.AjaxService.get({ 
            url:'/commodity/second/order/products', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销-二手去结算接口
	 *@param productId：商品ID（数字类型，必传）
	 *@param clubId：机构会所ID(同之前)
	 *@param serviceProviderId：协销ID(同之前)
	 *@param productCount:二手购买数量 
	 */
    GetSettlementBySencondProduct (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/second/settlement', 
            data, 
            isLoading: true ,
              
        })
    }
	
    /**
	 *@协销-二手商品推荐
	 *@param productId：商品ID（数字类型，必传）
	 */
    ProductRecommend (data={}){//相关推荐
        return this.AjaxService.get({ url:'/commodity/second/recommend', data, isLoading: true })
    }
    /*协销下单购物车->api*/
    /**
	 *@单一商品加入购物车
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
    ShoppingCartAddCart (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/seller/cart/add', 
            data, 
            isLoading: true ,
              
        })
    }
    /*协销下单购物车->api*/
    /**
	 *@重选sku
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
    orderSellerCkeckSku (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/seller/check/sku', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@组合商品加入购物车
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
    ShoppingCartBatchAddCart (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/seller/cart/add', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销帮机构下单获取购物车数量
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
    GetSellerProductNum (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/cart/count', 
            data, 
            isLoading: false ,
              
        })
    }
    /**
	 *@协销帮机构下单购物车商品加减数量
	 *@param clubId 机构的clubId
	 *@param serviceProviderId 	协销ID
	 */
    SellerAddProductNum (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/seller/cart/update', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销帮机构下单购物车删除商品
	 *@param sellerCartIds 购物车ID
	 */
    sellerDeleteCart (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/seller/cart/delete', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销帮机构下单获取购物车列表
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
    GetSellerShoppingInfo (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/cart/list', 
            data, 
            isLoading: false ,
              
        })
    }
    /*协销下单订单->api*/
    /**
	 *@协销帮机构下单去结算初始化
	 *@param clubId 机构ID
	 *@param serviceProviderId 协销ID
	 *@param productIds 商品ID
	 */
    SellerSettlement (data = {}) {
        return this.AjaxService.get({ 
            url:'/order/seller/cart/settlement', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@协销下定金商品订单初始化
	 *@param productIds 商品ID
	 */
    SellerProductRechargeGoods (data = {}) {
        return this.AjaxService.get({ 
            url:'/commodity/recharge/details', 
            data, 
            isLoading: true ,
        })
    }
    /**
	 *@协销帮机构下定金商品订单提交
	 *@param productIds 商品ID
	 */
    SellerSubmitRechargeOrder (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/submit/recharge', 
            data, 
            isLoading: true,
              
        })
    }
    /**
	 *@协销帮机构下单提交订单
	 */
    SellerCreateOrderSubmit (data = {}) {
        return this.AjaxService.post({ 
            url:'/order/submit/generate', 
            data, 
            isLoading: true ,
              
        })
    }
    /**
	 *@获取可分配协销列表
	 */
    userClubChoseList (data = {}) {
	    return this.AjaxService.get({ 
	        url:'/user/club/chose/list', 
	        data, 
	        isLoading: false ,
	    })
    }
    /**
	 *@获取组员协销列表
	 */
    userSellerServiceTeam (data = {}) {
	    return this.AjaxService.get({ 
	        url:'/user/seller/service/team', 
	        data, 
	        isLoading: false ,
	    })
    }
    /**
	 *@分配协销
	 */
    userClubChoseSales (data = {}) {
	    return this.AjaxService.post({ 
	        url:'/user/club/chose/sales', 
	        data, 
	        isLoading: true ,
	           
	    })
    }
    /**
     * 协销分享海报
     */
    wxUnlimited (data = {}) {
	    return this.AjaxService.post({ 
	        url:'/tools/wxacode', 
	        data, 
	        isLoading: true,
            header: {
                'content-type': 'application/json',
                'Accept': '*/*'
            }
	    })
    }
    /**
     * 机构活跃分析占比
     */
    getLivelyClub(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/club/livelyClub', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 获取相关咨询记录机构信息
     */
    getIsRemarkClub(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/getIsRemarkClub', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 机构所有咨询记录
     */
    getClubAllRemark(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/getClubAllRemark', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 机构活跃分析列表
     */
    getClubList(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/club/livelyClubList', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 更新协销本人信息
     */
    updateSellerInfo(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/setHome', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 协销消息通知
     */
    getSellerNotice(data = {}) {
        return this.AjaxService.get({
            url:'/user/login/auth/SpMessageList', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 协销站内消息未读数
     */
    getSellerNoticeSpCount(data = {}) {
        return this.AjaxService.get({
            url:'/user/login/auth/SpCount', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 协销站内消息清除标记
     */
    updateSpMessageAsRead(data = {}) {
        return this.AjaxService.get({
            url:'/user/login/auth/updateSpMessageAsRead', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 机构访问列表
     */
    getVisitesClubList(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/getBehaviorRecordClub', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 访问机构详情
     */
    getVisitesClubInfo(data = {}) {
        return this.AjaxService.get({
            url:'/user/seller/getBehaviorRecordClubFrom', 
            data, 
            isLoading: true 
        })
    }
    /**
     * 获取机构userId
     */
    getFindUserId(data = {}) {
        return this.AjaxService.get({
            url:'/user/getFindUserId', 
            data, 
            isLoading: true 
        })
    }
}
